Records
Get a list of paginated records.
Authorization
Authorization AuthorizationBearer <token>
In: header
Query Parameters
limit?number
Range
5 <= value <= 100Default
100page?number
Range
1 <= valueDefault
1organizationId*string
Length
1 <= lengthsortColumn?string
sortDirection?string
Value in
- "asc"
- "desc"
categoryId?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidfilterByTitle?string
status?string
Value in
- "DRAFT"
- "IN_PROGRESS"
- "FINAL"
includeArchived?boolean
Default
falsefilterByArchived?string
Value in
- "active"
- "archived"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/records/?organizationId=string"{ "items": [ { "id": "string", "shortId": -9007199254740991, "slug": "string", "organizationId": "string", "categoryId": "string", "title": "string", "content": null, "status": "DRAFT", "assigneeMemberId": "string", "assigneeBusinessRoleId": "string", "dueDate": "string", "currentVersion": -9007199254740991, "finalizedAt": "string", "finalizedBy": "string", "reviewScheduleId": "string", "lastReviewedAt": "string", "nextReviewAt": "string", "createdAt": "string", "updatedAt": "string", "archivedAt": "string", "category": { "id": "string", "name": "string", "slug": "string", "description": "string", "color": "string", "order": -9007199254740991, "organizationId": "string", "ownerId": "string", "defaultTemplateId": "string", "allowPortalSubmission": true, "cadenceScheduleId": "string", "createdAt": "string", "updatedAt": "string", "archivedAt": "string", "cadenceSchedule": { "id": "string", "name": "string", "slug": "string" } }, "assigneeBusinessRole": { "id": "string", "name": "string", "slug": "string" }, "reviewSchedule": { "id": "string", "name": "string", "slug": "string" }, "filesCount": 0, "versionsCount": 0 } ], "total": 0, "page": 0, "limit": 0}How is this guide?